/***************************************************************************
                          CdboCreateAudioCdAction.h  -  description
                             -------------------
    begin                : Sat Sep 14 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOCREATEAUDIOCDACTION_H
#define CDBOCREATEAUDIOCDACTION_H

#include "CdboAction.h"

class KProcess;

////////////
class CdboCreateAudioCdAction : public CdboActionHandler{
	Q_OBJECT

public:
	CdboCreateAudioCdAction(KLibFactory* factory, QObject *, const char *);
	~CdboCreateAudioCdAction();

protected:
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processFailed();
	virtual void processSucceded();
	virtual void resetSettings();
	bool requireDecompress();
	bool fixToc(const QString &tocName, const QString &baseName);

private:
	QStringList finalNames;
	QString totalToProcess;
	
	QStringList oggToConvert;
	QStringList oggConverted;
	QString oggHolder;
	QString oggConvertedHolder;
	QString oggCounter;
	
	QStringList mp3ToConvert;
	QStringList mp3Converted;
	QString mp3Holder;
	QString mp3ConvertedHolder;
	QString mp3Counter;
	
	QString recordFlag;
	QString newTocName;
	QString fileListHolder;
};

#endif
