/***************************************************************************
                          CdboUtilActions.h  -  description
                             -------------------
    begin                : Sat Aug 17 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOUTILACTIONS_H
#define CDBOUTILACTIONS_H

#include <kfileitem.h>

#include "CdboAction.h"

class KProcess;
class KDirLister;

/////////////
class CdboCheckDriveAction : public CdboAction{
	Q_OBJECT

public:
	CdboCheckDriveAction(QObject *, const char *);
	~CdboCheckDriveAction();

protected:
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processLaunched();
	virtual void processFailedToLaunch();
	virtual void processSucceded();
	virtual void processFailed();

};
////////////////////
class CdboCheckTmpAction : public CdboAction{
	Q_OBJECT

public:
	CdboCheckTmpAction(QObject *, const char *);
	~CdboCheckTmpAction();

protected slots:
	virtual void receivedMessageSlot(KProcess *proc, char *buffer, int buflen);
	virtual void receivedErrMessageSlot(KProcess *proc, char *buffer, int buflen);
	
protected:
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processFailedToLaunch();
	virtual void processSucceded();
	virtual void processFailed();

private:
	QString tempDir;
	int minTmpSize;
	bool hasSpase;
};
///////////////////
class CdboScanAudioTracksAction : public CdboJobBasedAction{
	Q_OBJECT

public:
	CdboScanAudioTracksAction(QObject *, const char *);
	~CdboScanAudioTracksAction();

	virtual void killCurrentTask();

protected slots:
	void scanAudioDiskDoneSlot();
	void receivedAudioListSlot( const KFileItemList& fileList );

protected:
	virtual void launchJob(CdboParamsDict* params);
	virtual void processFailedToLaunch();
	virtual void resetSettings();
	virtual QString cancelMessage();

private:
	QStringList trackList;
	QString *tracks;
	bool getLength;
	KDirLister *dirLister;

};
///////////////////
class CdboCdSizeAction : public CdboJobBasedAction{
	Q_OBJECT

public:
	CdboCdSizeAction(QObject *, const char *);
	~CdboCdSizeAction();

protected slots:
	void gotCdSize( KIO::Job * j);

protected:
	virtual void launchJob(CdboParamsDict* params);

private:
	QString* min;
};



#endif
