/***************************************************************************
                          SessionTypeDialog.h  -  description
                             -------------------
    begin                : Sat May 5 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef SESSIONTYPEDIALOG_H
#define SESSIONTYPEDIALOG_H

#include <qvariant.h>
#include <kdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QLabel;
class QPushButton;
class QRadioButton;

class SessionTypeDialog : public KDialog
{ 
    Q_OBJECT

public:
    SessionTypeDialog(int * chosenType, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~SessionTypeDialog();

protected slots:
    virtual void cancelSlot();
    virtual void firstSlot();
    virtual void middleSlot();
    virtual void finalSlot();
    virtual void okSlot();

private:
	void init();
    QGridLayout* SessionTypeDialogLayout;
    QVBoxLayout* ButtonGroup1Layout;
     QLabel* TextLabel1;
    QButtonGroup* ButtonGroup1;
    QRadioButton* firstRBtn;
    QRadioButton* middleRBtn;
    QRadioButton* finalRBtn;
    QPushButton* okBtn;
    QPushButton* cancelBtn;
    int *chosenType;
};

#endif // SESSIONTYPEDIALOG_H
