/***************************************************************************
                          CdboAudioCDBase.h  -  description
                             -------------------
    begin                : Fri Apr 5 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOAUDIOCDBASE_H
#define CDBOAUDIOCDBASE_H

#include <qvariant.h>

#include "CdboDialogBase.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class CdboDialogCntPnl;
class CdboDriveInfoPnl;
class QCheckBox;
class QComboBox;
class QFrame;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;
class CdboSpeedPnl;

class CdboAudioCDBase : public CdboDialogBase
{ 
    Q_OBJECT

public:
    CdboAudioCDBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~CdboAudioCDBase();

protected:
    QGridLayout* cdboAudioCDBaseLayout;
    QVBoxLayout* baseFrmLayout;
    QVBoxLayout* detailsPnlLayout;
    QHBoxLayout* recordDetailesPnlLayout;
    QGridLayout* audioOptPnlLayout;
	 QFrame* baseFrm;
    CdboDriveInfoPnl* targetDevicePnl;
    CdboSpeedPnl* speedPnl;
    CdboDialogCntPnl* dialogCntPnl;
    QFrame* detailsPnl;
    QGroupBox* recordDetailesPnl;
    QComboBox* actionCmb;
    QLabel* numOfCopiesLbl;
    QSpinBox* numberSpn;
    QGroupBox* audioOptPnl;
    QLineEdit* titleTxt;
    QLabel* perfomLbl;
    QLabel* titleLbl;
    QLineEdit* perfomTxt;
    QPushButton* launchTrackEditorBtn;
    QPushButton* uploadBtn;
};

#endif
