/***************************************************************************
                          CdboDataCDDialog.h  -  description
                             -------------------
    begin                : Sun May 13 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBODATACDDIALOG_H
#define CDBODATACDDIALOG_H

#include <qwidget.h>
#include <qstring.h>
#include <qevent.h>
#include <dcopobject.h>

#include <kconfig.h>

#include "CdboDataCDBase.h"
#include "CdboDriveInfoPnl.h"
#include "CdboSpeedPnl.h"
#include "CdboDialogCntPnl.h"

//class KProcess;

class CdboDataCDDialog : public CdboDataCDBase, public virtual DCOPObject{
 Q_OBJECT

public:
	CdboDataCDDialog(QWidget *parent=0, const char *name=0);
	~CdboDataCDDialog();
	
	void setSourceDirs(QString sourceDirs, QString delim = ",");
	void setISOImage(QString image);
	void setURL(QString url);
	void setImageOnly(bool imageOnly);
	virtual void setCurrentTarget(const QString &device){ targetDevicePnl->setCurrent(device); }
	
	void setPathspecName(const QString &name);
	void setHidehfsName(const QString &name);
	void setHiderrName(const QString &name);
	void setHidejoiName(const QString &name);
	
	
public slots:
	virtual void readOptions();
	virtual void blockBtns(bool);

protected slots:
	virtual void saveOptions();
	virtual void taskDone(bool);
	void startBtnSlot();
	void eraseSlot();
	void isoBrowseSlot();
	void isoPreviewSlot();
	void verifyMode(int);

protected:
	virtual void init();
	virtual void initBtns();
	virtual QString* actionType();
	virtual void stopForwardTimer(){ dialogCntPnl->stopForwardTimer();}
	virtual void startForwardTimer(){ dialogCntPnl->startForwardTimer();}
	virtual void clearOutput() { dialogCntPnl->clearOutput(); }
	virtual QWidget* outputWidget() { return dialogCntPnl->outputWidget(); }
	virtual QWidget* statusWidget() { return dialogCntPnl; }
	
private:
	void restructureActions(int type);
	void blockActionBtns(bool);
	
	bool createImageOnly;
	bool createImage;
	bool topLevelList;
	bool createOnTheFly;
	bool pathspecReady;
	
	int prevType;
	
	QString fileList;
	QString mappingsReady;
	
	QString pathspecName;
	QString hidejoiName;
	QString hidehfsName;
	QString hiderrName;
	
	QString tempDir;
	QString imageSize;
	QString isWithCleanUp;
	QString numberOfCopies;
	QString isTopLevelList;
	
	QString isCreateImageOnly;
	QString isCreateImage;
	QString isoImageName;
	QString isOnTheFly;

};
#endif
