/***************************************************************************
                          CdboEraseCDDialog.h  -  description
                             -------------------
    begin                : Sat May 5 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                :  alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOERASECDDIALOG_H
#define CDBOERASECDDIALOG_H

#include "CdboEraseCDBase.h"

#include "CdboDialogCntPnl.h"

class CdboEraseCDDialog : public CdboEraseCDBase, public virtual DCOPObject{
   Q_OBJECT
public:
	CdboEraseCDDialog(QWidget *parent=0, const char *name=0);
	~CdboEraseCDDialog();

public slots:
	virtual void readOptions();
	virtual void blockBtns(bool);
	
protected slots:
	virtual void saveOptions();
	void previewSlot();
	void startBtnSlot();

protected:
	CdboEraseCDDialog(bool em, QWidget *parent=0, const char *name=0);
	virtual void init();
	virtual void initBtns();
	virtual QString* actionType();
	virtual void stopForwardTimer(){ dialogCntPnl->stopForwardTimer();}
	virtual void startForwardTimer(){ dialogCntPnl->startForwardTimer();}
	virtual void clearOutput() { dialogCntPnl->clearOutput(); }
	virtual QWidget* outputWidget() { return dialogCntPnl->outputWidget(); }
	virtual QWidget* statusWidget() { return dialogCntPnl; }

	bool eraseMode;
	QString forceCD;
};

class CdboFixateCDDialog : public CdboEraseCDDialog, public virtual DCOPObject{
   Q_OBJECT
public:
	CdboFixateCDDialog(QWidget *parent=0, const char *name=0);
};
#endif
