/***************************************************************************
                          CdboPreviewDialog.cpp  -  description
                             -------------------
    begin                : Fri Jun 1 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOPREVIEWDIALOG_H
#define CDBOPREVIEWDIALOG_H

#include <qvariant.h>
#include <kdialog.h>
#include <kio/job.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QKeyEvent;

class KConfig;
class KDirOperator;
class KToolBar;
class QLabel;
class KAction;
class KActionCollection;

class CdboPreviewDialog : public KDialog{
	Q_OBJECT

public:
	CdboPreviewDialog( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
	~CdboPreviewDialog();

	bool open(QString location, bool image = false);

protected slots:
	void quitSlot();
	void dirOpFinishedLoading();

	void slotMountResult( KIO::Job *);
	void slotUMountResult(KIO::Job *);
	void slotSymlinkResult( KIO::Job *);

	virtual void closeEvent(QCloseEvent *e);
	virtual void keyPressEvent(QKeyEvent *e);

private:
	void doMount(QString device);
	bool doOpen(QString device, bool image = false);

	KConfig *config;

	QString mountPoint;
	QString device;
	QString urlTitle;
	bool needToUmount;
	bool removeMountPoint;

	QVBoxLayout* layout;

	KDirOperator *dirOp;
	KToolBar *toolbar;
	QLabel *urlLbl;
	KAction *quit;
	KActionCollection *actionCollection;
};

#endif
