/***************************************************************************
                          CdboRipAudioDialog.h  -  description
                             -------------------
    begin                : Mon Feb 4 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBORIPAUDIODIALOG_H
#define CDBORIPAUDIODIALOG_H

#include "CdboRipAudioBase.h"
#include "CdboDialogCntPnl.h"

/**
  *@author
  */

class CdboRipAudioDialog : public CdboRipAudioBase, public virtual DCOPObject{
   Q_OBJECT
public:
	CdboRipAudioDialog(QWidget *parent=0, const char *name=0);
	~CdboRipAudioDialog();
	
public slots:
	virtual void readOptions();
	virtual void blockBtns(bool);

protected slots:
	virtual void saveOptions();
	virtual void taskDone(bool);
	void startBtnSlot();
	void scanSlot();
	void typeChanged(int);

protected:
	virtual void init();
	virtual void initBtns();
	virtual QString* actionType();
	virtual void stopForwardTimer(){ dialogCntPnl->stopForwardTimer();}
	virtual void startForwardTimer(){ dialogCntPnl->startForwardTimer();}
	virtual void clearOutput() { dialogCntPnl->clearOutput(); }
	virtual QWidget* outputWidget() { return dialogCntPnl->outputWidget(); }
	virtual QWidget* statusWidget() { return dialogCntPnl; }
	
private:
	QString tempDir;
	QString pickedTracks;
	
	bool scaned;
	
};
#endif
