/***************************************************************************
                          CdboCdromDevices.h  -  description
                             -------------------
    begin                : Fri Jun 1 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOCDROMDEVICES_H
#define CDBOCDROMDEVICES_H



#include "CdboCdromDevicesBase.h"

class QListViewItem;
class KAboutData;
class KProcess;
class KConfig;

class CdboCdromDevices : public CdboCdromDevicesBase
{
	Q_OBJECT
public:
    CdboCdromDevices(QWidget* parent = 0, const char* name = 0);
    ~CdboCdromDevices();

	void load();

	void save();
	void defaults();
	void diableErrors() { showErrors = false; }

	bool hasDetectedScsi() { return scsiList.count() > 0;}
	bool getAllDevicesList(QStringList* );

	int buttons();
	QString quickHelp() const;
	const KAboutData* aboutData() const;

public slots:
    virtual void rescanSlot();
    virtual void retryScsiSlot();

protected slots:
    virtual void addCustomSlot();
    virtual void removeCustomSlot();
    virtual void browseCustomSlot();
    virtual void customScsiSlot();
    virtual void customLstSlot(QListViewItem *);
    virtual void modifyCustomSlot();
    virtual void scsiDetailesSlot();
    virtual void autoScsiDetailesSlot();
    virtual void slotChanged();
    virtual void autoSelectionChangedSlot(QListViewItem*);
    virtual void scanbusSelectionChangedSlot( QListViewItem *);
    virtual void autoDriverCmbChangeSlot( int );
    virtual void scanbusDriverCmbChangeSlot( int );
    void scanbusProcessDoneSlot(KProcess *proc);
    void receivedScanbusMessageSlot(KProcess *proc, char *buffer, int buflen);

private:
	void scanIdes();
	void scanScsi();
	void enableCustScsi(bool yes);

	KConfig *config;

	QStringList sourceList;
	QStringList sourceNameMappings;

	QStringList targetsList;
	QStringList targetsMappings;
	QStringList targetsNameMappings;

	QStringList scsiList;

	QStringList customList;
	QStringList customMappings;
	int unknown;
	
	bool showErrors;
};
#endif
