/***************************************************************************
                          CdboDefaultOpt.h  -  description
                             -------------------
    begin                : Fri Jun 1 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBODEFAULTOPT_H
#define CDBODEFAULTOPT_H

#include "CdboDefaultOptBase.h"

class KAboutData;
class KProcess;
class KConfig;

class CdboDefaultOpt : public CdboDefaultOptBase{
    Q_OBJECT

public:
	CdboDefaultOpt( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~CdboDefaultOpt();

	void load();
	void save();
	void defaults();

	int buttons();
	QString quickHelp() const;
	const KAboutData* aboutData() const;
	
protected slots:
	virtual void customOutSlot();
	virtual void quiteOutSlot();
	virtual void stdOutSlot();
	virtual void slotChanged();
	virtual void disableDataColorsSlot();
	virtual void disableAudioColorsSlot();
	virtual void useSameColorsSlot();
	void lauchWizardSlot(const QString&);

	void kcmshellDone(KProcess *proc);

private:
	void enableCustOut(bool yes);
	KConfig* config;
};

#endif // CDBODEFAULTOPT_H
