/***************************************************************************
                          cdbosetuptoolmain.cpp  -  description
                             -------------------
    begin                : Tue Jul 16 10:22:34 EDT 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sf.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <dcopclient.h>
#include <kiconloader.h>
#include <kdebug.h>

#include "CdboWizard.h"
#include "cdbosetuptool.h"
#include "CdboVersion.h"

static const char *description =
	I18N_NOOP("CDBO Setup Tool");
	
	
static KCmdLineOptions options[] =
{
	{ "launchWizard", I18N_NOOP("Launch wizard."), 0 },
	{ "launchSetupTool", I18N_NOOP("Launch CDBO Setup Tool."), 0 },
	{ 0, 0, 0 }
};

int main(int argc, char *argv[]){

	KAboutData aboutData( "cdbakeoven", I18N_NOOP("CDBO Setup Tool"),
		 CDBO_VERSION, description, KAboutData::License_GPL,
		 "(c) 2002, Alex Podolsky", 0, 0, "alexpod@users.sf.net");
	aboutData.addAuthor("Alex Podolsky",0, "alexpod@users.sf.net");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options );

	KApplication app;
	KLocale::setMainCatalogue("cdbakeoven");

	app.dcopClient()->registerAs("cdbosetuptool", false);

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

	if (args->isSet("launchWizard")){
		CdboWizard *wizard = new CdboWizard();
		wizard->setIcon(SmallIcon("wizard"));
		app.setMainWidget(wizard);
	}
	else if (args->isSet("launchSetupTool")){
		CdboSetupTool *cdbosetuptool = new CdboSetupTool();
		app.setMainWidget(cdbosetuptool);
	}
	else{
		kdError() << "cdbosetuptool: `launchWizard' or `launchSetupTool' arguments are missing." << endl;
		kdError() << "Try `cdbodialogloader --help' for more information." << endl;
		app.exit(-1);
		return 1;
	}
	return app.exec();
}
