/***************************************************************************
                          cdbakeoven.cpp  -  description
                             -------------------
    begin                : Fri May 18 23:05:50 EDT 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kapplication.h>
#include <dcopclient.h>

#include "CdboVersion.h"
#include "CdboShell.h"
#include "CdboPluginManager.h"

static const char *description =
    I18N_NOOP("CD Bake Oven - CD Burning facility for KDE");

static KCmdLineOptions options[] =
{
    { "+[URL]", I18N_NOOP( "Location to open." ), 0 },
    { 0, 0, 0 }
};

int main(int argc, char **argv){
	
	KAboutData *aboutData = new KAboutData("cdbakeoven", I18N_NOOP("CD Bake Oven"),
		CDBO_VERSION, description, KAboutData::License_GPL,
		"(c) 2001-2003, Alexy Podolsky",
		I18N_NOOP("\nThis is free software with ABSOLUTELY NO WARRANTY."
		          "\nUse at your own risk! See --license for more details."),
		"http://cdbakeoven.sourceforge.net");
	aboutData->addAuthor("Alexy Podolsky",
		I18N_NOOP("Author and maintainer"),
		"alexpod@users.sourceforge.net");
	aboutData->addAuthor("Ryan Cumming",
		I18N_NOOP("UI tweaks and code cleanup"),
		"ryan@completely.kicks-ass.org");
	aboutData->addCredit("Jakob Kosowski", 
		I18N_NOOP("Icons"),
		"jakob@obilot.de");
	aboutData->addCredit ("",I18N_NOOP("\nThanks to everyone who has contributed to \nand supported this project"),"");
	aboutData->setTranslator(I18N_NOOP("_: NAME OF TRANSLATORS\nYour names"), 
		I18N_NOOP("_: EMAIL OF TRANSLATORS\nYour emails"));
  
	KCmdLineArgs::init(argc, argv, aboutData);
	KCmdLineArgs::addCmdLineOptions( options );

	KApplication app;

	app.dcopClient()->registerAs("cdbakeoven", false);

	// see if we are starting with session management
	if (app.isRestored())
		RESTORE(CdboShell)
	else{
		CdboShell *cdbakeoven = new CdboShell;
		app.dcopClient()->setDefaultObject( cdbakeoven->objId() );
		cdbakeoven->show();
		
		KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		if ( args->count() > 0 ){
			for (int i = 0; i < args->count(); i++ ){
				app.processEvents();
				CdboPluginManager::self()->handleURL( args->url( i ) );
			}
			args->clear();
		}
	}

	return app.exec();
}
