/***************************************************************************
                          cdboplugins.cpp  -  description
                             -------------------
    begin                : Wed Sep 4 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOPLUGINS_H
#define CDBOPLUGINS_H

#include <kparts/plugin.h>
#include <klibloader.h>
#include <kaction.h>
#include <kio/job.h>

class KProcess;

class CdboPlugins : public KParts::Plugin{
Q_OBJECT
public:
	CdboPlugins( QObject* parent, const char* name, const QStringList & );
	virtual ~CdboPlugins() {}

public slots:
	void openURL(const KURL& url);
	
protected slots:
	void popupSettingsDialog();
	void popupCdboRipAudioDialog();
	void popupCdboCopyDialog();
	void popupCdboEraseDialog();
	void popupCdboFixateCdDialog();
	void loadDeviceInfoSlot();
	void loadCDInfoSlot();
	void unlockCDSlot();
	void plugNewcdAction();
	
	void slotLoadNewcd(int pos);

	
	void launchWizardSlot();
	void kcmshellDone(KProcess *proc);
      
protected:
	QWidget* parentWidget() const;
	void launchCommand(const QString& command);
	void registerExt();
	void checkFirstRun();
	
	KActionMenu* newcdMenuAction;
};

#endif
