/***************************************************************************
                          CdboNewcdViewPart.h  -  description
                             -------------------
    begin                : Wed Sep 4 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBONEWCDVIEWPART_H
#define CDBONEWCDVIEWPART_H

#include <kparts/part.h>
#include <kparts/browserextension.h>
#include <kparts/genericfactory.h>

#include "CdboViewPart.h"

class KAboutData;
class CdboFileListView;

class CdboNewcdViewPart : public CdboViewPart{
Q_OBJECT
public:
	CdboNewcdViewPart( QWidget *parentWidget, const char *widgetName,
                  QObject *parent, const char *name=0, const QStringList& args = QStringList());
	virtual ~CdboNewcdViewPart();
    
	static KAboutData* createAboutData();

public slots:
    virtual bool openFile() { return true; }
	 virtual bool saveFile() { return true; }
protected slots:
	void createISO();
	
protected:
	void setupActions();
	virtual bool isEmpty(){ return false; }
	virtual int getSize() {return 1; }//FIXME check size?
	virtual void createCD();
	
private:
	CdboFileListView* listView;
	QString url;
};

typedef KParts::GenericFactory<CdboNewcdViewPart> CdboNewcdViewFactory;

/**
 * A mysterious class, needed to make Konqueror intrgration work.
 */
class CdboNewcdViewBrowserExtension : public KParts::BrowserExtension{

	Q_OBJECT

public:
	CdboNewcdViewBrowserExtension( CdboNewcdViewPart * );
	~CdboNewcdViewBrowserExtension();
};

#endif

