/***************************************************************************
                          CdboSrcVeiwPart.h  -  description
                             -------------------
    begin                : Sat Oct 27 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/ 

#ifndef CDBOSRCVIEWPART_H
#define CDBOSRCVIEWPART_H

#include <kparts/part.h>
#include <kparts/genericfactory.h>

class KAboutData;
class CdboFileListView;

class CdboSrcVeiwPart : public KParts::ReadOnlyPart{
Q_OBJECT
public:
	CdboSrcVeiwPart( QWidget *parentWidget, const char *widgetName,
                  QObject *parent, const char *name=0, const QStringList& args = QStringList());
	virtual ~CdboSrcVeiwPart();
    
	static KAboutData* createAboutData();

signals:
	void addToCD(KURL::List&);
	
public slots:
	virtual bool openFile() { return true; }	 

protected slots:
	void loadPath();
	void emitAddToCD(KURL::List& list){ emit addToCD(list); }
	
protected:
	void setupActions();
	
private:
	CdboFileListView* topView;
};

typedef KParts::GenericFactory<CdboSrcVeiwPart> CdboSrcVeiwFactory;


#endif

