/***************************************************************************
                          CDRWatcherModule.cpp  -  description
                             -------------------
    begin                : Tue Sep 24 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sf.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/


#ifndef CDRWATCHERMODULE_H
#define CDRWATCHERMODULE_H

#include <kdedmodule.h>
#include <kurl.h>
#include <qdict.h>


class CdboCDRom;

typedef QDict<CdboCDRom> CDRomDict;

class CDRWatcherModule : public KDEDModule{
	
	Q_OBJECT
	K_DCOP

public:
	CDRWatcherModule(const QCString &obj);
	virtual ~CDRWatcherModule();

k_dcop:
	void reloadCDRs();
	void createListPointer(QString name, QString sourcePath="", QString newCDsHome="", QString type="");
	QString getSourceForPointer(QString pointerName);

protected slots:
	void cdromStateChanged(CdboCDRom&);
	
	
protected:
	void createLink(CdboCDRom &cdrom);
	void removeLink(CdboCDRom &cdrom);
	void createDesktopLink(QString name, QString slaveSource);


private:
	CDRomDict cdromDict;
	bool connectedToDirWatcher;
	void debug(QString mess, QString fname="");

};

#endif


