/***************************************************************************
                          kio_newcd.h  -  description
                             -------------------
    begin                : Sun Sep 1 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef NEWCD_PROTOCOL_H
#define NEWCD_PROTOCOL_H

#include <kio/slavebase.h>


class NewCDProtocol : public KIO::SlaveBase{
public:
	NewCDProtocol( const QCString &pool, const QCString &app );
	virtual ~NewCDProtocol();

	virtual void listDir( const KURL & url );
	virtual void listRoot();
	virtual void stat( const KURL & url );
	//virtual void copy ( const KURL &src, const KURL &dest, int permissions, bool overwrite );
	virtual void get( const KURL & url );
	virtual void mkdir( const KURL& url, int);
	virtual void del( const KURL& url, bool isfile);
	//virtual void rename(const KURL &src, const KURL &dest, bool overwrite);
	virtual void put( const KURL& url, int permissions,bool overwrite, bool resume );


};

#endif
