/***************************************************************************
                          CdboAudioEstimate.h -  description
                             -------------------
    begin                : Fri Jun 1 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/
#ifndef CDBOAUDIOESTIMATEPNL_H
#define CDBOAUDIOESTIMATEPNL_H

#include <qvariant.h>
#include <qwidget.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QFrame;
class QGroupBox;
class QLCDNumber;
class QLabel;
class QPushButton;

class KConfig;

class CdboAudioEstimate : public QWidget
{ 
    Q_OBJECT

public:
    CdboAudioEstimate( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~CdboAudioEstimate();
	void readOptions(KConfig* config = 0);
	void saveOptions(KConfig* config = 0);

	bool add(int length, int type = readyTrack);
	void subtract(int length, int type = readyTrack);
	void reset();
	
	void enableRecalcEstBtn(bool doIt = true);
	
	inline QPushButton* getRecalculateBtn() { return recalcEstBtn; }

	static const int readyTrack = 0;
	static const int mp3Track = 1;
	static const int oggTrack = 2;
	
protected slots:
    void capacityChangedSlot(int);
    void synchUp();

protected:
    QVBoxLayout* cdboAudioEstimateLayout;
    QGridLayout* estFrmLayout;
    QHBoxLayout* GroupBox5Layout;
    QGridLayout* GroupBox2_2_2Layout;
	QGroupBox* estFrm;
    QPushButton* recalcEstBtn;
    QGroupBox* GroupBox5;
    QComboBox* capacityCmb;
    QGroupBox* GroupBox2_2_2;
    QLabel* TextLabel1_2;
    QLCDNumber* numMp3LCD;
    QLCDNumber* usedLCD;
    QLabel* TextLabel1;
    QLabel* TextLabel2;
    QLCDNumber* numOfSongsLCD;
    QLCDNumber* numOggLCD;
    QLCDNumber* wastedLCD;
    QLabel* TextLabel2_2;
    QFrame* Line2;
    QLabel* TextLabel1_2_2;

	int max;
	int usedSec;
	int wastedSec;
};

#endif // AUDIOESTIMATEPNL_H
