/***************************************************************************
                          CdboDataEstimate.h  -  description
                             -------------------
    begin                : Fri Jul 27 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/
#ifndef CDBODATAESTIMATE_H
#define CDBODATAESTIMATE_H

#include <qvariant.h>
#include <qwidget.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QGroupBox;
class QLCDNumber;
class QLabel;
class QPushButton;

class CdboDataEstimate : public QWidget{
    Q_OBJECT

public:
    CdboDataEstimate( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~CdboDataEstimate();
	void readOptions(KConfig* config = 0);
	void saveOptions(KConfig* config = 0);
	
	bool add(int);
	void subtract(int);
	void reset();
	bool canAdd(int);
	void showStats(bool show);
	void updateStats(int, int);
	
	inline int getTotal() { return total;}
	
	inline QPushButton* getRecalculateBtn() { return recalcEstBtn; }

signals:
	void recalculate();
	
protected slots:
    void capacityChangedSlot(int);

    void synchUp();
    void usedTypeChangedSlot(int);
    void wastedTypeChangedSlot(int);

protected:	
	QGroupBox* estFrm;
	QGroupBox* capacityPnl;
	QComboBox* capacityCmb;
	QGroupBox* usedPnl;
	QLCDNumber* usedLCD;
	QComboBox* usedTypeCmb;
	QGroupBox* wastedPnl;
	QLCDNumber* wastedLCD;
	QComboBox* wastedTypeCmb;
	QPushButton* recalcEstBtn;

	QGridLayout* cdboDataEstimateLayout;
	QGridLayout* estFrmLayout;
	QHBoxLayout* capacityPnlLayout;
	QHBoxLayout* usedPnlLayout;
	QHBoxLayout* wastedPnlLayout;
	QLabel* statsLbl;
	QLabel* stats2Lbl;

private:
	int total;
	int wasted;
	int max;
	bool wastedMB;
	bool usedMB;
};

#endif // ESTIMATEPNL_H
