/***************************************************************************
                          CdboExpandPnl.cpp  -  description
                             -------------------
    begin                : Fri May 18 23:05:50 EDT 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/
#include "CdboExpandPnl.h"
#include "CdboExpandPnl.moc"

#include <qframe.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include <kiconloader.h>
#include <kconfig.h>
#include <klocale.h>

/* 
 *  Constructs a CdboExpandPnl which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
CdboExpandPnl::CdboExpandPnl(QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    	if ( !name )
		setName( "CdboExpandPnl" );
	id = "Generic Item In CdboExpandPnl is";
}
//========================================
void CdboExpandPnl::plugWidget(QWidget* customWidget){
	KConfig *config = new KConfig("cdbakeovenrc");
    config->setGroup("General Options");
	expanded =! config->readBoolEntry(id + " Expanded", true);
    expandPnlLayout = new QHBoxLayout( this );
    expandPnlLayout->setSpacing( 0 );
    expandPnlLayout->setMargin( 0 );

    expandBtnFrm = new QFrame( this, "expandBtnFrm" );
    expandBtnFrm->setMaximumSize( QSize( 8, 32767 ) );
    expandBtnFrm->setFrameShape( QFrame::NoFrame );
    expandBtnFrm->setFrameShadow( QFrame::Plain );
    expandBtnFrmLayout = new QVBoxLayout( expandBtnFrm ); 
    expandBtnFrmLayout->setSpacing( 0 );
    expandBtnFrmLayout->setMargin( 0 );

    expandBtn = new QToolButton( expandBtnFrm, "expandBtn" );
    expandBtn->setMaximumSize( QSize( 8, 32767 ) );
    expandBtn->setText( i18n( "" ) );
    expandBtn->setPixmap( UserIcon("2vertrightarrow") );
    //expandBtn->setAutoRaise( TRUE );
    expandBtnFrmLayout->addWidget( expandBtn );
    expandPnlLayout->addWidget( expandBtnFrm );
	this->customWidget = customWidget;
    expandPnlLayout->addWidget( customWidget );

    // signals and slots connections
    connect( expandBtn, SIGNAL( clicked() ), this, SLOT( expandSlot() ) );
	expandSlot();
	delete config;
}

/*  
 *  Destroys the object and frees any allocated resources
 */
CdboExpandPnl::~CdboExpandPnl(){
	
}
//========================
void CdboExpandPnl::saveOptions(){
	KConfig *config = new KConfig("cdbakeovenrc");
	config->setGroup("General Options");		
	config->writeEntry(id + " Expanded", expanded);
	config->sync();
	delete config;
}
//===============================================================
void CdboExpandPnl::expandSlot(){
	if(!customWidget) 	return;
	if(expanded){
    		customWidget->hide();
    		expandBtn->setPixmap( UserIcon("2vertleftarrow") );
    	}
    	else{
    		customWidget->show();
    		expandBtn->setPixmap( UserIcon("2vertrightarrow") );
    	}
    	expanded = !expanded;
}

//===============================================================
void CdboExpandPnl::expandSlot(bool doExpand){
	if(!customWidget || expanded == doExpand) 	return;
	if(!doExpand){
    		customWidget->hide();
    		expandBtn->setPixmap( UserIcon("2vertleftarrow") );
    	}
    	else{
    		customWidget->show();
    		expandBtn->setPixmap( UserIcon("2vertrightarrow") );
    	}
    	expanded = !expanded;
}
