/***************************************************************************
                          CdboSpeedPnl.h  -  description
                             -------------------
    begin                : Tue May 22 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOSPEEDPNL_H
#define CDBOSPEEDPNL_H

#include <qvariant.h>
#include <qwidget.h>
#include <qslider.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QFrame;
class QGroupBox;
class QLCDNumber;
class QLabel;
class KConfig;

class CdboSpeedPnl : public QWidget
{ 
    Q_OBJECT

public:
    	CdboSpeedPnl( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    	~CdboSpeedPnl();
	
    	void readOptions();
    	void saveOptions();
     
     QString* speed();
    	
protected slots:
    	void speedChangeSlot();

private:
	QGroupBox* cdboSpeedPnlFrm;
     QLCDNumber* speedLcd;
     QFrame* spaser;
     QLabel* minLbl;
     QSlider* speedSld;
     QLabel* maxLbl;
     QHBoxLayout* cdboSpeedPnlLayout;
     QHBoxLayout* cdboSpeedPnlFrmLayout;
     bool event( QEvent* );

     KConfig *config;
     QString mSpeed;
};

#endif // SPEEDPNL_H
